// File: StateDBCreate.java
// Create State database on Windows-based System

import java.io.*;
import java.sql.*;
import sun.jdbc.odbc.*;

public class StateDBCreate {

 public static void main(String[] args) throws java.io.IOException
 {// Open a stream from the input file
  BufferedReader DataInput=new BufferedReader(new FileReader("K:\\kutztown\\cis521\\Examples\\States\\JDBC\\states.txt"));
  // Read the file and print the States that were read
  State[] sList=new State[100];
  int ctr=0;
  System.out.println("The List in File Order...");
  State.printHeader();
  while ((sList[ctr]=State.readStateFromFile(DataInput))!=null)
    sList[ctr++].printState();

  // Set up JDBC stuff
  Statement stmnt;
  try {
    String user="states",password="file";
    Connection con=new AccessConnection().getConnection(user,password);
    stmnt=con.createStatement();

    // Create the table
    stmnt.executeUpdate("CREATE TABLE States (Name VARCHAR(14), Pop INTEGER, "+
               " Area INTEGER, Year INTEGER, Order INTEGER, Cap VARCHAR(14))");
    for (int idx=0;idx<ctr;idx++) {
      // Form the string representing the insertion statement for this state
      // Note use of ' to delimit strings in the SQL statement
      String StateSQLString = ("INSERT INTO States VALUES('" +sList[idx].name +
       "'," + sList[idx].population + "," + sList[idx].area + "," +
                       sList[idx].year + "," + sList[idx].order + ",'" +
                                                     sList[idx].capital + "')");
      // Add the state
      stmnt.executeUpdate(StateSQLString);
    } // for
    stmnt.close();
  }
  catch (Exception e) {
    e.printStackTrace();
  }
 } // main

}

